Passer au contenu

gpt-image-1 · Edit Image

Intégrer

Identifiant du modèle gpt-image-1/edit-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Fichiers comme dans l’exemple: 0,27 $ 270 crédits API vos fichiers sont mesurés avant l’exécution L’exécuter sur cette page

Obtenir une clé API

Modifie ou combine des images de référence avec un prompt, un réglage de fidélité d'entrée et une option d'arrière-plan transparent

Créé sur Doitong

Créations publiques réalisées avec gpt-image-1 par la communauté Doitong. Réutilisez un prompt en un clic.

Créations publiques affichées : 16
A polished studio concept art board — a single composite page that reads as a high-end pre-produc...

A polished studio concept art board — a single composite page that reads as a high-end pre-production pitch deck for an animated short. NOT a vintage pencil sketch, NOT a finished movie frame, but a polished concept page in the visual treatment described below. Layout: TOP HEADER (left): bold...

Создай не меняя черты лица. Фотореалистичный винтажный cinematic portrait. В кадре большое наполь...

Создай не меняя черты лица. Фотореалистичный винтажный cinematic portrait. В кадре большое напольное зеркало в тонкой арочной раме. Спиной к камере у зеркала стоит взрослая девушка-, корпус развёрнут к своему отражению, голова слегка повёрнута в профиль, взгляд направлен в зеркало на свою...

Создай не меняя черты лица. Фотореалистичный винтажный cinematic portrait. В кадре большое наполь...

Создай не меняя черты лица. Фотореалистичный винтажный cinematic portrait. В кадре большое напольное зеркало в тонкой арочной раме. Спиной к камере у зеркала стоит взрослая девушка-, корпус развёрнут к своему отражению, голова слегка повёрнута в профиль, взгляд направлен в зеркало на свою...

Create image: ultra realistic image: man 35 years old sitting in super luxury house (ref4). Luxur...

Create image: ultra realistic image: man 35 years old sitting in super luxury house (ref4). Luxury furniture, marble floor with east carpet. The most luxurious way. Middle shot One cake in front of him on the marble table, with thin golden lit candles. A man sits relaxed on a luxurious sofa. The...

Create image: ultra realistic image: man 35 years old sitting in super luxury house. Luxury furni...

Create image: ultra realistic image: man 35 years old sitting in super luxury house. Luxury furniture, marble floor with east carpet. The most luxurious way. Middle shot One cake in front of him on the marble table, with thin golden lit candles. A man sits relaxed on a luxurious sofa. The man is...

Сделай этикетку на продукцию оформленную красиво и стильно в соответствии с составом. Можешь орие...

Сделай этикетку на продукцию оформленную красиво и стильно в соответствии с составом. Можешь ориентироваться по стилю на фото 1. Текст на этикетке: производитель ИП Стрини Ю.Л. «соломка горбуши», состав: рыба горбуша, соль, сахар, специи. Срок хранения при t не от 0 до -3 60 суток. Вес: 500гр

Create image: ultra realistic image: man 35 years old (attached reference ) sitting in super luxu...

Create image: ultra realistic image: man 35 years old (attached reference ) sitting in super luxury house. Luxury furniture, marble floor with east carpet. The most luxurious way. Middle shot One cake in front of him on the marble table, with thin golden lit candles. A man sits relaxed on a...

Create image: ultra realistic image: man 35 years old sitting in super luxury house. Luxury furni...

Create image: ultra realistic image: man 35 years old sitting in super luxury house. Luxury furniture, marble floor with east carpet. The most luxurious way. Middle shot One cake in front of him on the marble table, with thin golden lit candles. A man sits relaxed on a luxurious sofa. The man is...

Créer une requête

Les contrôles sont générés à partir du schéma du modèle. Le code et le prix se mettent à jour lorsque vous les modifiez.

•requis

Prompt utilisé pour générer des images.

•requis image_urls
Déposez un fichier, ou

URLs pointant vers des images de référence pour la génération.

image_size par défaut auto

Format d'image résultant.

quality par défaut auto

Qualité de l'image résultante.

input_fidelity par défaut high

Degré auquel l'image résultante suit l'entrée.

num_images par défaut 1

Nombre d’images à produire.

Avancé background · output_format · enable_safety_checker
background par défaut auto

Arrière-plan de l'image résultante.

output_format par défaut png

Format de fichier des images de sortie.

POST /run/gpt-image-1/edit-image?wait=20 devis → 0,27 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/gpt-image-1/edit-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Exécuter cette requête

Votre clé reste dans ce navigateur : elle est envoyée uniquement à la Doitong API et enregistrée dans localStorage uniquement si vous cochez Mémoriser. Obtenir une clé API

À propos de gpt-image-1 · Edit Image

Génère de nouvelles images à partir d'une ou plusieurs images de référence dans `image_urls` et d'un prompt. `input_fidelity` peut être low ou high (high par défaut) pour contrôler la fidélité aux entrées. Les tailles sont auto, 1024x1024, 1536x1024 ou 1024x1536, avec un arrière-plan auto, transparent ou opaque, jusqu'à 4 images et des sorties png, jpeg ou webp.

Paramètres

Envoyez soit le nom canonique, soit le nom natif, mais pas les deux. Noms canoniques

NomType Par défautAutorisé Description
promptrequis
Typestring
≥ 2 caractères
Prompt utilisé pour générer des images.
image_urlsrequis images
Typeurl[] · image
URLs pointant vers des images de référence pour la génération.
image_sizefacultatif
Typeenum
Par défautauto
auto1024x10241536x10241024x1536
Format d'image résultant.
backgroundfacultatif
Typeenum
Par défautauto
autotransparentopaque
Arrière-plan de l'image résultante.
qualityfacultatif
Typeenum
Par défautauto
autolowmediumhigh
Qualité de l'image résultante.
input_fidelityfacultatif
Typeenum
Par défauthigh
lowhigh
Degré auquel l'image résultante suit l'entrée.
num_imagesfacultatif num_outputs
Typeinteger
Par défaut1
1 – 4
Nombre d’images à produire.
output_formatfacultatif
Typeenum
Par défautpng
jpegpngwebp
Format de fichier des images de sortie.
enable_safety_checkerfacultatif
Typeboolean
Par défauttrue
Le filtrage peut être assoupli en définissant false, si l'appelant est autorisé.
requis Nom canonique, également accepté

Les paramètres de fichier acceptent une URL publique https://, un URI data: jusqu’à 10 MB ou le file_url d’un téléversement. Fichiers

Sortie

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "gpt-image-1/edit-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 270,
    "usd": "0.27",
    "charged": 270,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vos fichiers, votre choixChaque outputs[].url est une copie dans notre stockage : conservée indéfiniment (facturation au Go-mois) ou 7 jours gratuitement, selon le réglage de votre compte ou ?storage=.
Même structure pour chaque modèletype, url, content_type, width, height et duration, pour les images, vidéos et fichiers audio. output est le propre objet de résultat du modèle.
Champs de sortie
images
array of object {url, content_type, file_name, file_size, width, height}Images produites par le modèle.

Plus de modèles : Édition d’image

Pour les agents IA : cette page au format Markdown est disponible à https://doitong.com/fr/developers/models/gpt-image-1/edit-image.md. Tous les modèles et guides : https://doitong.com/developers/llms.txt